import { transparentizeAliasColor as n, getDarkenColor as e, getColorAlias as o } from "../../utils/index.js";
const a = (t) => {
  switch (t) {
    case "primary":
      return o("interactiveBrand");
    case "secondary":
      return o("interactiveSecondary");
    case "outline":
    case "ghost":
    case "ghost-inverse":
    case "ghost-tertiary":
      return "transparent";
    case "inverse":
      return o("contentInverse");
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getIconButtonBackgroundColor function."
      );
  }
}, s = (t) => {
  switch (t) {
    case "primary":
    case "secondary":
    case "outline":
      return o("disabled01");
    case "inverse":
      return o("disabled01");
    case "ghost":
    case "ghost-tertiary":
    case "ghost-inverse":
      return "transparent";
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getDisabledBackgroundColor function."
      );
  }
}, i = (t, r) => {
  if (r) return "#8c999b";
  switch (t) {
    case "primary":
    case "ghost-inverse":
      return o("contentInverse");
    case "secondary":
    case "ghost-tertiary":
      return o("contentSubdued");
    case "outline":
    case "ghost":
    case "inverse":
      return o("interactiveBrand");
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getIconButtonSvgColor function."
      );
  }
}, u = (t, r) => {
  switch (t) {
    case "primary":
      return e("active01", "contentBrand");
    case "secondary":
      return r ? n("active01", "contentLight") : e("active01", "containerDefault");
    case "outline":
      return r ? e("active01", "interactiveLight") : e("active01", "containerDefault");
    case "ghost":
    case "ghost-tertiary":
      return r ? n("active01", "contentLight") : e("active01", "containerDefault");
    case "inverse":
      return r ? e("active01", "backgroundDark") : e("active01", "contentLight");
    case "ghost-inverse":
      return r ? "transparent" : e("active01", "backgroundDark");
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getIconButtonBackgroundColorLoading function."
      );
  }
}, h = (t, r) => {
  switch (t) {
    case "primary":
      return e("hover01", "contentBrand");
    case "secondary":
      return r ? n("hover01", "contentLight") : e("hover02", "containerDefault");
    case "outline":
      return r ? n("hover01", "contentLight") : e("hover01", "containerDefault");
    case "ghost":
    case "ghost-tertiary":
      return r ? n("hover01", "contentSubdued") : e("hover01", "containerDefault");
    case "inverse":
      return r ? e("hover01", "contentSubdued") : e("hover01", "contentLight");
    case "ghost-inverse":
      return r ? n("hover01", "containerDefault") : e("hover01", "contentSubdued");
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getHoverIconButtonBackground function."
      );
  }
}, g = (t, r) => {
  switch (t) {
    case "primary":
      return e("active01", "contentBrand");
    case "secondary":
      return r ? n("active01", "contentLight") : e("active01", "containerDefault");
    case "outline":
      return r ? n("active01", "contentLight") : e("active01", "containerDefault");
    case "ghost":
    case "ghost-tertiary":
      return r ? n("active01", "contentSubdued") : e("active01", "containerDefault");
    case "inverse":
      return r ? e("active01", "contentSubdued") : e("active01", "contentLight");
    case "ghost-inverse":
      return r ? e("active01", "contentSubdued") : e("active01", "contentLight");
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getHoverIconButtonBackground function."
      );
  }
}, l = (t) => {
  switch (t) {
    case "primary":
    case "ghost-inverse":
      return "inverse";
    case "secondary":
    case "ghost-tertiary":
      return "secondary";
    case "outline":
    case "ghost":
    case "inverse":
      return "brand";
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getSpinnerType function."
      );
  }
}, p = (t) => {
  switch (t) {
    case "x-small":
      return "XS";
    case "small":
      return "S";
    case "medium":
      return "M";
    case "large":
      return "L";
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getSpinnerSize function."
      );
  }
}, d = (t) => {
  switch (t) {
    case "large":
      return "56px";
    case "medium":
      return "48px";
    case "small":
      return "40px";
    case "x-small":
      return "32px";
    default:
      console.warn(
        "Error, incorrect props. Pass the correct set of props to the getIconButtonSize function."
      );
  }
}, v = (t) => t === "large" ? `
      height: 24.5px;
      width: 24.5px;
    ` : `
      height: 21px;
      width: 21px;
    `;
export {
  g as getActiveIconButtonBackground,
  s as getDisabledBackgroundColor,
  h as getHoverIconButtonBackground,
  a as getIconButtonBackgroundColor,
  u as getIconButtonBackgroundColorLoading,
  d as getIconButtonSize,
  i as getIconButtonSvgColor,
  v as getSVGSize,
  p as getSpinnerSize,
  l as getSpinnerType
};
